
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Your Playlist - VASIONA™</title>
    <link rel="stylesheet" href="../css/style.css">
</head>
<body>
    <div class="container">
        <h1>Your Playlist</h1>
        <ul id="playlist">
            <?php
                $valid_extensions = array('mp3', 'wav', 'ogg', 'flac');
                $files = array_diff(scandir('../uploadz'), array('.', '..'));
                
                foreach ($files as $file) {
                    $file_extension = strtolower(pathinfo($file, PATHINFO_EXTENSION));
                    if (in_array($file_extension, $valid_extensions)) {
                        $description_file = str_replace($file_extension, 'txt', $file);
                        $description = file_exists("../uploadz/$description_file") ? file_get_contents("../uploadz/$description_file") : 'No description';

                        echo "<li>";
                        echo "<strong>$file</strong><br>";
                        echo "<p>$description</p>";
                        echo "<audio controls><source src='../uploadz/$file' type='audio/mpeg'></audio><br>";
                        echo "</li>";
                    }
                }
            ?>
        </ul>
    </div>
</body>
</html>
